<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<section *ngIf="displayedColumns && sortOrder">

  <div class="section-title">
    {{ 'parameters.election-page-properties.edit.models.form.verification-table.column-to-display.title' | translate }}
  </div>

  <div id="columns-to-display">
    <mat-form-field *ngFor="let displayedColumn of displayedColumns; let i = index" class="column-to-display">
      <mat-select [value]="displayedColumn" id="{{'column_to_display_' + i}}"
                  (selectionChange)="changeColumnToDisplay(i, $event)" [disabled]="readOnly">
        <mat-option *ngFor="let column of possibleColumns" [value]="column">
          {{'parameters.election-page-properties.edit.models.form.verification-table.columns.' + column | translate }}
        </mat-option>
        <mat-option [value]="null" *ngIf="displayedColumns.length > 1">
          <mat-icon>delete</mat-icon>
          <span>
            {{ 'parameters.election-page-properties.edit.models.form.verification-table.column-to-display.remove-column' | translate }}
          </span>
        </mat-option>
      </mat-select>
    </mat-form-field>

    <div class="column-to-display" *ngIf="displayedColumns.length < possibleColumns.length && !readOnly">
      <button mat-button color="primary" (click)="addColumnToDisplay()" id="add-column-to-display">
        <mat-icon>add</mat-icon>
        {{ 'parameters.election-page-properties.edit.models.form.verification-table.column-to-display.add-column' |
        translate }}
      </button>
    </div>
  </div>

  <div class="section-title">
    {{ 'parameters.election-page-properties.edit.models.form.verification-table.column-to-sort.title' | translate }}
  </div>

  <div id="columns-to-sort">
    <mat-form-field *ngFor="let _ of sortOrder; let i = index" class="column-to-sort">
      <mat-select [value]="sortOrder[i]" id="{{'column_to_sort_' + i}}" [disabled]="readOnly"
                  placeholder="{{ 'parameters.election-page-properties.edit.models.form.verification-table.column-to-sort.' + ( i == 0? 'first-sort' : 'further-sort') | translate}}"
                  (selectionChange)="changeColumnToSort(i, $event)">
        <mat-option *ngFor="let column of sortPossibleColumns(i)" [value]="column">
          {{'parameters.election-page-properties.edit.models.form.verification-table.columns.' + column | translate }}
        </mat-option>
        <mat-option [value]="null">
          <mat-icon>delete</mat-icon>
          <span>
            {{ 'parameters.election-page-properties.edit.models.form.verification-table.column-to-sort.remove-column' | translate }}
          </span>
        </mat-option>
      </mat-select>
    </mat-form-field>

    <div class="column-to-sort" *ngIf="sortOrder.length < possibleColumns.length  && !readOnly">
      <button mat-button color="primary" (click)="addColumnToSort()" id="add-column-to-sort">
        <mat-icon>add</mat-icon>
        {{ 'parameters.election-page-properties.edit.models.form.verification-table.column-to-sort.add-column' |
        translate }}
      </button>
    </div>
  </div>

</section>
